# binaryninja.pluginmanager.RepositoryManager

class `binaryninja.pluginmanager.``RepositoryManager`(handle=None)

  `RepositoryManager` Keeps track of all the repositories and keeps the enabled_plugins.json file coherent with the plugins that are installed/unstalled enabled/disabled

  `__init__`(handle=None)

  Methods

  `__init__`([handle]) |
  `add_repository`([url, repopath, ...]) | `add_repository` adds a new plugin repository for the manager to track.
  `check_for_updates`() | Check for updates for all managed Repository objects
  `disable_plugin`(plugin[, repo]) | `disable_plugin` Disable the specified plugin, pluginpath
  `enable_plugin`(plugin[, install, repo]) | `enable_plugin` Enables the installed plugin ‘plugin’, optionally installing the plugin if install is set to
  `install_plugin`(plugin[, repo]) | `install_plugin` install the specified plugin, pluginpath
  `uninstall_plugin`(plugin[, repo]) | `uninstall_plugin` uninstall the specified plugin, pluginpath
  `update_plugin`(plugin[, repo]) | `update_plugin` update the specified plugin, pluginpath

  Attributes

  `default_repository` | Gets the default Repository
  `plugins` | List of all RepoPlugins in each repository
  `repositories` | List of Repository objects being managed